New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

`hc --version` not working: showing libzmq library not found #701

Open
bboyatwork opened this Issue Nov 28, 2018 · 6 comments

Comments

Projects
None yet
4 participants
@bboyatwork

bboyatwork commented Nov 28, 2018

After completing installation steps 1 through 4 listed here: https://developer.holochain.org/start.html ... I get the following error when trying to do step 5 in checking the hc version

Micahs-MacBook-Pro:~ alchemicalu$ hc --version
dyld: Library not loaded: /usr/local/opt/zeromq/lib/libzmq.5.dylib
  Referenced from: /Users/alchemicalu/hc/hc
  Reason: image not found
Abort trap: 6
@zippy

This comment has been minimized.

Member

zippy commented Nov 29, 2018

I guess we need to add the zmq install dependency as detailed in the README into those instructions, @Connoropolous?

@bboyatwork

This comment has been minimized.

bboyatwork commented Nov 29, 2018

Thanks @zippy - after installing that it worked just fine 👍 so yea adding that to the installation instructions would help.

@Connoropolous Connoropolous changed the title from Checking hc --version error to `hc --version` not working: showing libzmq library not found Nov 29, 2018

@Connoropolous

This comment has been minimized.

Contributor

Connoropolous commented Nov 29, 2018

Hi folks, I've just added this to the installation instructions on the dev docs site, however, I'd like to leave this issue open, since I point people to this particular issue, from there, in case people report any unforeseen issues with the ZMQ installation.

@Connoropolous

This comment has been minimized.

Contributor

Connoropolous commented Nov 29, 2018

@marcusnewton1

This comment has been minimized.

marcusnewton1 commented Nov 30, 2018

@Connoropolous Might be worth mentioning to windows users something like "We'll deal with the downloaded ZMQ library in step five", I got confused what I was supposed to do with it

@Connoropolous

This comment has been minimized.

Contributor

Connoropolous commented Nov 30, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment